VERSION = 1.0

CFLAGS = -O3 -Wall
CC = g++

OBJS = motifPattern.o motifStem.o motifHelix.o motifDistance.o motifMain.o

SRCS = $(OBJS:.o=.cc)


all : depend $(OBJS)
	$(CC) $(OBJS) $(CFLAGS) $(LFLAGS) -o motif

%.o: %.cc
	$(CC) -c $(CFLAGS) $<

clean :
	rm -f *.o  motif *~
	mv Makefile.bak Makefile

depend :
	makedepend -- $(CFLAGS) -- $(SRCS)

tar : clean
	rm -rf tmp; mkdir tmp; mkdir tmp/motif
	cp Makefile tmp/motif 
	cp *.cc tmp/motif 
	cp *.h tmp/motif 
	cp example.ali tmp/motif 
	cd tmp; tar -cvzf ../motif-$(VERSION).tar.gz motif
	rm -rf tmp
